Bug 1272807 - tmux-2.1 is available
tmux-2.1 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tmux (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sven Lankes
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-18 20:17 EDT by Upstream Release Monitoring
Modified: 2016-03-21 19:01 EDT (History)
8 users (show)

See Also:
Fixed In Version: tmux-2.1-3.fc23
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-15 21:21:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2015-10-18 20:17:34 EDT
Latest upstream release: 2.1
Current version/release in rawhide: 2.0-2.fc23
URL: https://github.com/tmux/tmux

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2015-10-18 20:17:47 EDT
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-gfU4uw/tmux.spec
return code:  22
stdout:
Getting http://downloads.sourceforge.net/tmux/tmux-2.1.tar.gz to ./tmux-2.1.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
Comment 2 barsnick 2015-10-29 05:10:01 EDT
(In reply to Upstream Release Monitoring from comment #1)
> Failed to kick off scratch build.
[...]
> Getting http://downloads.sourceforge.net/tmux/tmux-2.1.tar.gz to
> ./tmux-2.1.tar.gz
[...]
> curl: (22) The requested URL returned error: 404 Not Found

URL and Source0 should be changed as thus:

URL:            https://tmux.github.io/
Source0:        https://github.com/tmux/%{name}/releases/download/%{version}/tmux-%{version}.tar.gz

The old SF recently points to the new homepage.
Comment 3 barsnick 2015-10-29 05:17:10 EDT
(In reply to barsnick from comment #2)

> Source0:        https://github.com/tmux/%{name}/releases/download/%{version}/tmux-%{version}.tar.gz

More like this actually:
Source0:        https://github.com/tmux/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz

(Insufficient use of macros previously. ;-))
Comment 4 Account closed by the user 2016-02-10 12:00:50 EST
(In reply to Upstream Release Monitoring from comment #0)

> Latest upstream release: 2.1
> Current version/release in rawhide: 2.0-2.fc23
> URL: https://github.com/tmux/tmux

CHANGES FROM 2.0 to 2.1 18 October 2015

Incompatible Changes
====================

* Mouse-mode has been rewritten.  There's now no longer options for:
	- mouse-resize-pane
	- mouse-select-pane
	- mouse-select-window
	- mode-mouse

  Instead there is just one option:  'mouse' which turns on mouse support
  entirely.
* 'default-terminal' is now a session option.  Furthermore, if this is set
  to 'screen-*' then emulate what screen does.  If italics are wanted, this
  can be set to 'tmux' but this is still new and not necessarily supported
  on all platforms with older ncurses installs.
* The c0-* options for rate-limiting have been removed.  Instead, a backoff
  approach is used.

Normal Changes
==============

* New formats:
	- session_activity
	- window_linked
	- window_activity_format
	- session_alerts
	- session_last_attached
	- client_pid
	- pid
* 'copy-selection', 'append-selection', 'start-named-buffer' now understand
  an '-x' flag to prevent it exiting copying mode.
* 'select-pane' now understands '-P' to set window/pane background colours.
* 'renumber-windows' now understands windows which are unlinked.
* 'bind' now understands multiple key tables.  Allows for key-chaining.
* 'select-layout' understands '-o' to undo the last layout change.
* The environment is updated when switching sessions as well as attaching.
* 'select-pane' now understands '-M' for marking a pane.  This marked pane
  can then be used with commands which understand src-pane specifiers
  automatically.
* If a session/window target is prefixed with '=' then only an exact match
  is considered.
* 'move-window' understands '-a'.
* 'update-environment' understands '-E' when attach-session is used on an
  already attached client.
* 'show-environment' understands '-s' to output Bourne-compatible commands.
* New option: 'history-file' to save/restore command prompt history.
* Copy mode is exited if the history is cleared whilst in copy-mode.
* 'copy-mode' learned '-e' to exit copy-mode when scrolling to end.
Comment 5 Upstream Release Monitoring 2016-02-22 04:43:35 EST
slankes's tmux-2.1-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=737614
Comment 6 Upstream Release Monitoring 2016-02-22 04:54:02 EST
slankes's tmux-2.1-2.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=737615
Comment 7 Upstream Release Monitoring 2016-02-23 10:36:56 EST
slankes's tmux-2.1-3.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=738293
Comment 8 Fedora Update System 2016-03-11 09:10:28 EST
tmux-2.1-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-179fe5cba1
Comment 9 Fedora Update System 2016-03-12 12:24:58 EST
tmux-2.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-179fe5cba1
Comment 10 Fedora Update System 2016-03-15 21:21:08 EDT
tmux-2.1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Ed Marshall 2016-03-21 19:01:34 EDT
Why did a change with documented incompatible changes (a complete reworking of mouse handling) go out to F23 instead of waiting for F24?

Note You need to log in before you can comment on or make changes to this bug.